#!/bin/sh
DIRJAVA="/usr"
#DIR="/usr/lib/j2se/1.4/jre"
DIR="/usr/lib/j2re1.5-sun"
TMP="/tmp"
ICONO="/usr/share/pixmaps/instalador_jmf.png"
URLEXT="http://www.juntadeandalucia.es/averroes/guadalinex/plugins/"
URLINT="http://c0/plugins/"
ARCHIVO="jmf-2.1.1-fcs-linux-i386.tar.bz2"

TITULO="Instalador de JMF"
PRESENTACION="Este script se encarga de descargar e instalar el plugin de JMF. El plugin de JMF son las extensiones multimedia de Java. Es preciso realizar una descarga de un archivo desde internet, este archivo ocupa 4,5MB aproximadamente, por lo que puede tardar un poco de tiempo. Pulse Aceptar para continuar con el proceso."
INSTALACION="La descarga del plugin de JMF se ha efectuado correctamente. A continuacion se va a se va a proceder a la instalacion del plugin. Pulse Aceptar para comenzar la instalacion."
ERROR1="Se ha detectado que en estos momentos se encuentra ejecutando otra aplicacion que esta usando Zenity, por favor cierre todas las aplicaciones que usen Zenity y vuelva a intentar la instalacion. Pulse OK para salir del instalador."
ERROR2="Se ha producido un error mientras se intentaba instalar el plugin de JMF. Pulse OK para salir de la instalacion."
ERROR3="En estos momentos no se puede descargar el plugin de JMF. Compruebe que su conexion de internet esta funcionando correctamente. Intentelo de nuevo cuando se hayan solucionado los problemas."
ERROR4="Este plugin requiere tener instalado en el sistema Java."
EXITO="La instalacion del plugin de JMF se ha realizado correctamente."

zenity --title="$TITULO" --window-icon="$ICONO" --info --text="$PRESENTACION"
pidof zenity>/dev/null
if [ "$?" -eq 0 ]
then
	zenity --title="$TITULO" --window-icon="$ICONO" --error --text="$ERROR1"
	exit 1
fi
if [ -f "$DIRJAVA/bin/java" ]
then
	touch $DESCLOG
	cd $TMP

	wget -S $URLINT
	if [ "$?" -eq 0 ]
	then
		rm -rf index.html
		URL=$URLINT
	else
		URL=$URLEXT
	fi
	
	wget --connect-timeout=300 $URL$ARCHIVO &
	(
	tamtot=4870980
	tamact=`echo -e "\`ls -l $ARCHIVO\`" | cut -d " " -f 6`
	if [ "$tamact" == "" ]
	then
        	tamact=0
	fi
	echo "# Descargando plugin"
	while [ "$tamtot" != "$tamact" ];
	do
        	(( por = $tamact * 100 ))
        	(( por = $por / tamtot ))
        	echo $por
        	echo "# Descargando plugin                                                    "$por" %"
       		tamact=`echo -e "\`ls -l $ARCHIVO\`" | cut -d " " -f 6`
        	if [ "$tamact" == "" ]
        	then
                	tamact=0
        	fi
	done
	echo "# Descarga concluida                                                    100 %"
	) | zenity --title="$TITULO" --width=400 --height=140 --window-icon="$ICONO" --progress --percentage=0
	if [ "$?" -eq 1 ]
	then
		#Xdialog --title "$TITULO" --msgbox "$ERROR3" 14 50
		zenity --title="$TITULO" --window-icon="$ICONO" --error --text="$ERROR3"
		killall zenity
		exit 1
	fi
	zenity --title="$TITULO" --window-icon="$ICONO" --info --text="$INSTALACION"
	zenity --title="$TITULO" --window-icon="$ICONO" --info --text="Instalado Plugin JMF" &
	tar jxf $ARCHIVO
	cd $TMP/jmf-2.1.1/bin/
	cp jm* $DIR/bin/
	cd $TMP/jmf-2.1.1/lib/
	cp *.so $DIR/lib/i386/
	cp  *.jar $DIR/lib/ext/
	cp soundbank-mid.jar $DIR/lib/
	cp jmf.properties $DIR/lib/
	cd $DIR/bin
	./jmfinit
	if [ "$?" -eq 0 ]
	then
		killall zenity
		zenity --title="$TITULO" --window-icon="$ICONO" --info --text="$EXITO"
		cd /usr/share/applications
		sed -i 's/InstNuevos/InstAntiguos/g' instalador-jmf.desktop
		cd $TMP
		rm -rf jmf-2.1.1* 2> /dev/null
		exit 0
	else
		killall zenity
		zenity --title="$TITULO" --window-icon="$ICONO" --error --text="$ERROR2"
		cd $TMP
		rm -rf jmf-2.1.1* 2> /dev/null
		exit 1
	fi
else
	zenity --title="$TITULO" --window-icon="$ICONO" --error --text="$ERROR4"
	exit 1
fi
